<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'plan_settting',

    /*
     * Modules.
     */
    'modules'   => ['plan_settings'],

    
    'plan_settings'       => [
        'model' => [
            'model'                 => \Litecms\PlanSettting\Models\PlanSettings::class,
            'table'                 => 'plan_settings',
            'presenter'             => \Litecms\PlanSettting\Repositories\Presenter\PlanSettingsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'min_investment',  'max_investment',  'duration',  'description',  'features',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'plan_settting/plan_settings',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'PlanSettting',
            'module'    => 'PlanSettings',
        ],

    ],
];
