<?php

namespace Litecms\PlanSettting;

use User;

class PlanSettting
{
    /**
     * $plan_settings object.
     */
    protected $plan_settings;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\PlanSettting\Interfaces\PlanSettingsRepositoryInterface $plan_settings)
    {
        $this->plan_settings = $plan_settings;
    }

    /**
     * Returns count of plan_settting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.plan_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->plan_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PlanSettingsUserCriteria());
        }

        $plan_settings = $this->plan_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('plan_settting::' . $view, compact('plan_settings'))->render();
    }
}
